﻿using System;
using Helios.Models;
using Npgsql;

namespace Helios.Source
{
	public class UserService
	{
		private readonly NpgsqlConnection _connection;
		private int userId = 7;

		public UserService(string connectionString)
		{
			_connection = new NpgsqlConnection(connectionString);
		}

		public User GetUser()
        {
			User user = new User();

			user.ChargeTimestamps = GetChargeTimestamps();
			user.SolarInput = GetSolarInput();
			user.BatteryCharge = GetBatteryCharge();
			user.BatteryStatus = GetBatteryStatus();

			return user;
        }

		private List<ChargeTimestamp> GetChargeTimestamps()
        {
            List<ChargeTimestamp> timestamps = new()
            {
                new ChargeTimestamp("01:00 AM", 55),
                new ChargeTimestamp("02:00 AM", 52),
                new ChargeTimestamp("03:00 AM", 50),
                new ChargeTimestamp("04:00 AM", 49),
                new ChargeTimestamp("05:00 AM", 47),
                new ChargeTimestamp("06:00 AM", 42),
                new ChargeTimestamp("07:00 AM", 39),
                new ChargeTimestamp("08:00 AM", 39),
                new ChargeTimestamp("09:00 AM", 42),
                new ChargeTimestamp("10:00 AM", 52),
                new ChargeTimestamp("11:00 AM", 60),
                new ChargeTimestamp("12:00 PM", 69),
                new ChargeTimestamp("13:00 PM", 74),
                new ChargeTimestamp("14:00 PM", 80),
                new ChargeTimestamp("15:00 PM", 86),
                new ChargeTimestamp("16:00 PM", 80),
                new ChargeTimestamp("17:00 PM", 72),
                new ChargeTimestamp("18:00 PM", 66),
                new ChargeTimestamp("19:00 PM", 60),
                new ChargeTimestamp("20:00 PM", 56),
                new ChargeTimestamp("21:00 PM", 50),
                new ChargeTimestamp("22:00 PM", 45),
                new ChargeTimestamp("23:00 PM", 42)
            };

            return timestamps;
        }

		private int GetSolarInput()
		{
			return 77;
		}

		private int GetBatteryCharge()
        {
			return 45;
        }

		private BatteryStatus GetBatteryStatus()
        {
			return BatteryStatus.Empty;
        }
	}
}

